#pragma once
#ifndef LRTABLES_LR0ITEM_H_3RNST1YA
#define LRTABLES_LR0ITEM_H_3RNST1YA

#include "Parsodus/grammar.h"

#include <memory>

namespace pds {
namespace lr {

struct LR0Item {
    std::shared_ptr<Rule> rule;
    std::size_t dotIdx;

    bool operator<(const LR0Item& rhs) const; ///< Useful to keep it in a set/map
    bool operator==(const LR0Item& rhs) const;
};

} /* lr */ 
} /* pds */

#endif /* LRTABLES_LR0ITEM_H_3RNST1YA */
